--
-- Selected TOC Entries:
--
\connect - dpavlin

DROP INDEX "ind_index_author2";
DROP INDEX "ind_index_author";
DROP INDEX "ind_index_title2";
DROP INDEX "ind_index_title";
DROP TABLE "index_author";
DROP PROCEDURAL LANGUAGE 'plpgsql';
\connect - postgres

DROP FUNCTION "plpgsql_call_handler" ();
\connect - dpavlin

DROP TABLE "index_title";
--
-- TOC Entry ID 2 (OID 831643)
--
-- Name: index_title Type: TABLE Owner: dpavlin
--

CREATE TABLE "index_title" (
	"title" character varying(255)
);

\connect - postgres

--
-- TOC Entry ID 8 (OID 834826)
--
-- Name: "plpgsql_call_handler" () Type: FUNCTION Owner: postgres
--

CREATE FUNCTION "plpgsql_call_handler" () RETURNS opaque AS '/usr/lib/postgresql/lib/plpgsql.so', 'plpgsql_call_handler' LANGUAGE 'C';

--
-- TOC Entry ID 9 (OID 834827)
--
-- Name: plpgsql Type: PROCEDURAL LANGUAGE Owner: 
--

CREATE TRUSTED PROCEDURAL LANGUAGE 'plpgsql' HANDLER "plpgsql_call_handler" LANCOMPILER 'PL/pgSQL';

\connect - dpavlin

--
-- TOC Entry ID 3 (OID 834828)
--
-- Name: index_author Type: TABLE Owner: dpavlin
--

CREATE TABLE "index_author" (
	"author" character varying(255)
);

--
-- TOC Entry ID 4 (OID 831645)
--
-- Name: "ind_index_title" Type: INDEX Owner: dpavlin
--

CREATE INDEX ind_index_title ON index_title USING btree (title);

--
-- TOC Entry ID 5 (OID 831646)
--
-- Name: "ind_index_title2" Type: INDEX Owner: dpavlin
--

CREATE INDEX ind_index_title2 ON index_title USING btree (upper(title));

--
-- TOC Entry ID 6 (OID 834830)
--
-- Name: "ind_index_author" Type: INDEX Owner: dpavlin
--

CREATE UNIQUE INDEX ind_index_author ON index_author USING btree (author);

--
-- TOC Entry ID 7 (OID 834831)
--
-- Name: "ind_index_author2" Type: INDEX Owner: dpavlin
--

CREATE UNIQUE INDEX ind_index_author2 ON index_author USING btree (upper(author));

